Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QResizeEvent Class Reference

The QResizeEvent class contains event parameters for resize events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QResizeEvent ( const QSize & size, const QSize & oldSize )
- const QSize & size () const
- const QSize & oldSize () const

## Detailed Description

The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also QWidget::size, QWidget::geometry, and Event Classes.

## Member Function Documentation

### QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )

Constructs a resize event with the new and old widget sizes, size and oldSize respectively.

### const QSize & QResizeEvent::oldSize () const

Returns the old size of the widget.

### const QSize & QResizeEvent::size () const

Returns the new size of the widget, which is the same as QWidget::size().

Examples: chart/canvasview.cpp and life/life.cpp.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.